Subject: Re: linux-next: manual merge of the thermal-soc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 15 May 2019 10:44:31 +1000

Hi Eduardo,

On Tue, 14 May 2019 07:15:33 -0700 Eduardo Valentin <[email-masked]> wrote:
>
> On Tue, May 14, 2019 at 02:40:06PM +1000, Stephen Rothwell wrote:
> > Hi Eduardo,
> > 
> > On Mon, 13 May 2019 20:44:11 -0700 Eduardo Valentin <[email-masked]> wrote:  
> > >
> > > Thanks for spotting this. I am re-doing the branch based off v5.1-rc7,
> > > where the last conflict went in with my current queue.  
> > 
> > Its really not worth the rebase.  Just fix the build problem and send it
> > all to Linus.  
> 
> Yeah, I think I was not super clear in my first email. I am about to
> send the content of my branch to Linus.  This specific conflict was
> because a change in MAINTAINERS went in before the change I have in it,
> causing a conflict there. The rebase is simply to make it easier for him
> to pull when I send the git pull.

Linus has repeated told people not to do that.  He wants to see the
conflicts.  You should mention any conflicts you know about in your pull
request - just as a heads up to him.

However, if a conflict is particularly tricky, it may be worth while to
a test merge in another branch and tell him about that other branch in
your pull request.

-- 
Cheers,
Stephen Rothwell